For the complete documentation index, see llms.txt. This page is also available as Markdown.

Parts

Get parts

get
/parts/

This api is now deprecated. Use materials to register the parts of certain objects. This api is used to sync parts with WorkorderApp. Each part record can contain the following data:

Parameter
Description
Required
Type (size)

prt_code

Unique code of the parts. Used as reference for other entities

Y

Varchar (255)

prt_name

Part name/description name

Y

Varchar (255)

prt_sup_code

Supplier code

Y

Varchar (255)

prt_value

Value of a parts

Y

Varchar (255)

prt_image

Url of the image name. POST: An external url should be provided. GET: You will receive a workorderapp url.

N

Varchar (255)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

get/parts/
GET /parts/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Add parts

post
/parts/

This api is now deprecated. Use materials to register the parts of certain objects. This api is used to sync parts with WorkorderApp. Each part record can contain the following data:

Parameter
Description
Required
Type (size)

prt_code

Unique code of the parts. Used as reference for other entities

Y

Varchar (255)

prt_name

Part name/description name

Y

Varchar (255)

prt_sup_code

Supplier code

Y

Varchar (255)

prt_value

Value of a parts

Y

Varchar (255)

prt_image

Url of the image name. POST: An external url should be provided. GET: You will receive a workorderapp url.

N

Varchar (255)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/parts/
POST /parts/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?